org.eclipse.microprofile.jwt.tck.util

## Enum TokenUtils.InvalidClaims

- java.lang.Object
- - java.lang.Enum<TokenUtils.InvalidClaims>
  - - org.eclipse.microprofile.jwt.tck.util.TokenUtils.InvalidClaims

All Implemented Interfaces:
  Serializable, Comparable<TokenUtils.InvalidClaims>

Enclosing class:
  TokenUtils

    public static enum TokenUtils.InvalidClaims
    extends Enum<TokenUtils.InvalidClaims>

Enums to indicate which claims should be set to invalid values for testing failure modes

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALG`
`ENCRYPTOR`
`EXP`
`IAT`
`ISSUER`
`SIGNER`

### Method Summary

All Methods Static Methods Concrete Methods
`static TokenUtils.InvalidClaims` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TokenUtils.InvalidClaims[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ISSUER

    public static final TokenUtils.InvalidClaims ISSUER

#### IAT

    public static final TokenUtils.InvalidClaims IAT

#### EXP

    public static final TokenUtils.InvalidClaims EXP

#### SIGNER

    public static final TokenUtils.InvalidClaims SIGNER

#### ENCRYPTOR

    public static final TokenUtils.InvalidClaims ENCRYPTOR

#### ALG

    public static final TokenUtils.InvalidClaims ALG

### Method Detail

#### values

    public static TokenUtils.InvalidClaims[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TokenUtils.InvalidClaims c : TokenUtils.InvalidClaims.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TokenUtils.InvalidClaims valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null